Skip to main content
GET
/
api
/
v1
/
ghl
/
appointments
List GHL Appointments
curl --request GET \
  --url https://api.ravan.ai/api/v1/ghl/appointments \
  --header 'X-Api-Key: <api-key>'
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "appointments": [
      {
        "id": "id_123",
        "ghl_appointment_id": "id_123",
        "contact_id": "id_123",
        "agent_id": "id_123",
        "agent_name": "example",
        "contact_name": "example",
        "contact_email": "alex@example.com",
        "contact_phone": "+14155550100",
        "appointment_time": "2026-03-14T12:00:00Z",
        "status": "active"
      }
    ],
    "count": 1
  }
}

Authorizations

X-Api-Key
string
required
Your Agni API key. Find it in your RavanAi.

Query Parameters

agent_id
string
Filter by agent ID
status
string
Filter by appointment status
limit
integer
Number of results to return (max 200)
org_id
string
Organization ID (fallback)

Response

success
boolean
Whether the request succeeded.
message
string
Human-readable status message.
data
object
data field.
{
  "success": true,
  "message": "Request completed successfully",
  "data": {
    "appointments": [
      {
        "id": "id_123",
        "ghl_appointment_id": "id_123",
        "contact_id": "id_123",
        "agent_id": "id_123",
        "agent_name": "example",
        "contact_name": "example",
        "contact_email": "alex@example.com",
        "contact_phone": "+14155550100",
        "appointment_time": "2026-03-14T12:00:00Z",
        "status": "active"
      }
    ],
    "count": 1
  }
}

Authorizations

X-Api-Key
string
header
required

Query Parameters

agent_id
string

Filter by agent ID

status
string

Filter by appointment status

limit
integer<int32>
default:50

Number of results to return (max 200)

Required range: x <= 200
org_id
string

Organization ID (fallback)

Response

200 - application/json

Successful response

success
boolean
message
string
data
object